<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

{# Ist bereits der init-Context

	$gartentechnik_com_produktwidget_datenabruf = function() {
		gartentechnik_com_debug('produktwidget_abruf_start');
		$id_zuordnungen = array();
		$ids = array();
		$i = 0;
		while(true) {
			if(!array_key_exists('id' . $i, $_POST)) break;

			$id = sanitize_text_field($_POST['id' . $i]);
			$widget_id = sanitize_text_field($_POST['widget_id' . $i]);

			array_push($id_zuordnungen, ['widget_id' => $widget_id, 'produkt_id' => $id]);
			$ids['id' . $i] = $id;
			$i++;
		}
		$produkte = \GartentechnikCom\Register::gib_widget_produktansicht($ids);

		$daten = array();
		if($produkte) {
			foreach($produkte as $p) {
				foreach($id_zuordnungen as $zuordnung) {
					if($zuordnung['produkt_id'] == $p['id']) {
						$p['widget_id'] = $zuordnung['widget_id'];
						array_push($daten, $p);
					}
				}
			}
		}
		echo json_encode($daten);
		gartentechnik_com_debug('produktwidget_abruf_end');
		
		// Don't forget to exit!
		exit;
	};
	add_action('wp_ajax_gartentechnik_com_produktwidget_datenabruf', $gartentechnik_com_produktwidget_datenabruf, 20, 0);
	add_action('wp_ajax_nopriv_gartentechnik_com_produktwidget_datenabruf', $gartentechnik_com_produktwidget_datenabruf, 20, 0);
}
?>