<?php
namespace GartentechnikCom\Widget;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

require_once(__DIR__ . '/../Widget.php');

class Oeffnungszeiten extends \GartentechnikCom\Widget {
	function __construct() {
		parent::__construct('gartentechnik-com-oeffnungszeiten', 'Öffnungszeiten', 'Platzhalter, der durch die GT-Öffungszeiten ersetzt wird');
	}
	# STRING
	protected function _get_content($args, $instance) {
		$title = apply_filters('widget_title', @$instance['title']);
		if(!empty($title)) {
			$title = @$args['before_title'] . $title . @$args['after_title'];
		}
		$inhalt = $this->response->widget_oeffnungszeiten();
		return $title . $inhalt;
	}
	# VOID
	public function form($instance) {
		if (isset($instance['title'])) {
			$title = $instance['title'];
		} else {
			$title = '';
		}
		require(__DIR__ . '/../../templates/oeffnungszeitenwidget_editor.tpl.php');
	}
	# OBJ
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		return $instance;
	}
}
?>
