<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly ?>

<p>
	<label
		for="<?php echo $this->get_field_id('title'); ?>"
	>
		Titel:
	</label>
	<input
		class="widefat"
		id="<?php echo $this->get_field_id('title'); ?>"
		name="<?php echo $this->get_field_name('title'); ?>"
		type="text"
		value="<?php echo esc_attr($title); ?>"
	/>
</p>
<p>
	<label for="<?php echo $this->get_field_id('text'); ?>">Wie viele Kategorien sollen aufgelistet werden?</label>
	<select
		class='widefat'
		id="<?php echo $this->get_field_id('anzahl'); ?>"
		name="<?php echo $this->get_field_name('anzahl'); ?>"
		type="text"
	>
		<option value='5'<?php echo ($anzahl == '5') ? 'selected' : ''; ?>>
			5
		</option>
		<option value='10'<?php echo (!$anzahl || $anzahl == '10') ? 'selected' : ''; ?>>
			10
		</option>
		<option value='15'<?php echo ($anzahl == '15') ? 'selected' : ''; ?>>
			15
		</option>
		<option value='9999'<?php echo ($anzahl == '9999') ? 'selected' : ''; ?>>
			Alle
		</option>
	</select>
</p>
