<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

{# Ist bereits der init-Context
	$gartentechnik_com_produktsuche_fuer_produktwidget = function() use ($app) {
		gartentechnik_com_debug('produktwidget_suche_start');
		$suggestions = array();
		$trefferListe = $app->gib_suchergebnisse(sanitize_text_field(stripcslashes($_REQUEST['term'])));

		foreach ($trefferListe as $treffer) {
			if($treffer['typ'] != 'produkt') continue;

			$suggestion = array();
			$suggestion['id'] = $treffer['ID'];
			$suggestion['label'] = esc_html($treffer['titel']);
			$suggestion['link'] = $treffer['link'];
			$suggestions[] = $suggestion;
		}
		$response = $_GET["callback"] . "(" . json_encode($suggestions) . ")";
		echo $response;
		gartentechnik_com_debug('produktwidget_suche_end');

		// Don't forget to exit!
		exit;
	};
	add_action('wp_ajax_gartentechnik_com_produktsuche_fuer_produktwidget', $gartentechnik_com_produktsuche_fuer_produktwidget, 20, 0);
	add_action('wp_ajax_nopriv_gartentechnik_com_produktsuche_fuer_produktwidget', $gartentechnik_com_produktsuche_fuer_produktwidget, 20, 0);
}
?>