<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>

<style type="text/css">
	#gartentechnik_com_menue_editor > label > span {
		display: block;
		color: #666;
	}
	#gartentechnik_com_menue_editor > label > select {
		display: inline-block;
		min-width: 41rem;
		margin-bottom: 1rem;
	}
</style>
<fieldset id="gartentechnik_com_menue_editor">
	<label>
		<span>Produkte filtern:</span>
		<select name="gartentechnik_com_me_filter">
			<option value="alle" <?php if($filter == 'alle') echo 'selected="selected"'; ?>>Alle anzeigen</option>
			<option value="neu" <?php if($filter == 'neu') echo 'selected="selected"'; ?>>Nur Neugeräte</option>
			<option value="gebraucht" <?php if($filter == 'gebraucht') echo 'selected="selected"'; ?>>Nur Gebrauchte</option>
			<option value="mieten" <?php if($filter == 'mieten') echo 'selected="selected"'; ?>>Nur Mietgeräte</option>
			<option value="angebot" <?php if($filter == 'angebot') echo 'selected="selected"'; ?>>Nur Angebote</option>
		</select>
	</label>
	
	<br/><label>
		<span>Kategorie:</span>
		<select name="gartentechnik_com_me_kategorie">
			<?php foreach($kategoriebaum as $kat) { ?>
				<option value="<?php echo $kat['url_name'] ?>" <?php echo ($kategorie == $kat['url_name'] ? 'selected="selected"' : '') ?>>
				<?php
					$tiefe_marker = '';
					if($kat['tiefe'] > 0) {
						if($kat['tiefe'] >= 2) {
							foreach(range(2, $kat['tiefe']) as $i) {
								$tiefe_marker .= '│&nbsp;&nbsp;&nbsp;';
							}
						}
						if($kat['ist_letztes']) {
							$tiefe_marker .= '└';
						} else {
							$tiefe_marker .= '├';
						}
						
						if($kat['kinder'] > 0) {
							$tiefe_marker .= '─┬';
						} else {
							$tiefe_marker .= '──';
						}
					}
					$anzahl = [];
					if($kat['anzahl_neu']) array_push($anzahl, "Neugeräte: " . $kat['anzahl_neu']);
					if($kat['anzahl_gebraucht']) array_push($anzahl, "Gebrauchte" . $kat['anzahl_gebraucht']);
					if($kat['anzahl_mieten']) array_push($anzahl, "Mietgeräte: " . $kat['anzahl_mieten']);
					if($kat['anzahl_angebote']) array_push($anzahl, "Angebote: " . $kat['anzahl_angebote']);
					if(!count($anzahl)) array_push($anzahl, 'Leer');
					echo $tiefe_marker . ' ' . ($kat['name'] == '' ? 'Produkte' : $kat['name']) . " ("
						. implode(', ', $anzahl)
					. ")";
				?>
				</option>
			<?php } ?>
		</select>
	</label>
	
	<br/><label>
		<span>Wie viele Ebenen von Unterkategorien sollen gezeigt werden:</span>
		<select name="gartentechnik_com_me_tiefe">
			<?php foreach(range(0, 10) as $i) { ?>
				<option value="<?php echo $i ?>" <?php if($tiefe == $i) echo 'selected="selected"'; ?>><?php
					if($i == 0) echo "Keine: Nur diese Kategorie selbst zeigen, ohne Unterkategorien";
					if($i == 1) echo "Eine Ebene: Die Kategorie und darunter deren Unterkategorien";
					if($i == 2) echo "Zwei Ebene: Die Kategorie und darunter deren Unterkategorien und darunter deren Unterkategorien";
					if($i == 3) echo "Drei Ebenen";
					if($i == 4) echo "Vier Ebenen";
					if($i == 5) echo "Fünf Ebenen";
					if($i == 6) echo "Sechs Ebenen";
					if($i == 7) echo "Sieben Ebenen";
					if($i == 8) echo "Acht Ebenen";
					if($i == 9) echo "Neun Ebenen";
					if($i == 10) echo "Zehn Ebenen";
				?></option>
			<?php } ?>
		</select>
	</label>
</fieldset>
